IcedTea-Web NetX

## net.sourceforge.jnlp
Class JREDesc

    java.lang.Object
      net.sourceforge.jnlp.JREDesc

    public class JREDesc

extends java.lang.Object

The J2SE/Java element.

Constructor Summary
`JREDesc(Version version, java.net.URL location, java.lang.String vmArgs, java.lang.String initialHeapSize, java.lang.String maximumHeapSize, java.util.List resources)` Create a JRE descriptor.

Method Summary
`java.lang.String` `getInitialHeapSize()` Returns the initial heap size in bytes.
`java.net.URL` `getLocation()` Returns the JRE version string.
`java.lang.String` `getMaximumHeapSize()` Returns the maximum heap size in bytes.
`java.util.List` `getResourcesDesc()` Returns the resources defined for this JRE.
`Version` `getVersion()` Returns the JRE version.
`java.lang.String` `getVMArgs()` Returns the additional arguments to pass to the Java VM Can be null
`boolean` `isPlatformVersion()` Returns true if the JRE version is a Java platform version (java.specification.version property) or false if it is a product version (java.version property).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JREDesc

    public JREDesc(Version version,
                   java.net.URL location,
                   java.lang.String vmArgs,
                   java.lang.String initialHeapSize,
                   java.lang.String maximumHeapSize,
                   java.util.List resources)
            throws ParseException

  Create a JRE descriptor.

  Parameters:
    `version` - the platform version or the product version if location is not null
    `location` - the location of a JRE product or null
    `initialHeapSize` - inital heap size
    `maximumHeapSize` - maximum head size
    `resources` - list of ResourceDesc objects
  Throws:
    `ParseException`

Method Detail

### getVersion

    public Version getVersion()

  Returns the JRE version. Use isPlatformVersion to determine if this version corresponds to a platform or product version.

### isPlatformVersion

    public boolean isPlatformVersion()

  Returns true if the JRE version is a Java platform version (java.specification.version property) or false if it is a product version (java.version property).

### getLocation

    public java.net.URL getLocation()

  Returns the JRE version string.

### getMaximumHeapSize

    public java.lang.String getMaximumHeapSize()

  Returns the maximum heap size in bytes.

### getInitialHeapSize

    public java.lang.String getInitialHeapSize()

  Returns the initial heap size in bytes.

### getResourcesDesc

    public java.util.List getResourcesDesc()

  Returns the resources defined for this JRE.

### getVMArgs

    public java.lang.String getVMArgs()

  Returns the additional arguments to pass to the Java VM Can be null

IcedTea-Web NetX

Submit a bug or feature